--- title: "Get Protection Key List" slug: "secretmanager-getprotectionkeylist" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/secretmanager-getprotectionkeylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Protection Key List Available in VPC Get the list of KMS keys that can be specified as secret protection keys. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/keys | ### Request headers For information about the headers common to all Secret Manager APIs, see [Secret Manager request headers](/docs/en/secretmanager-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://secretmanager.apigw.ntruss.com/api/v1/keys' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `data` | Object | - | Response result | | `data.keyList` | Array | - | [KMS key list](/docs/en/secretmanager-getprotectionkeylist#keyList) | #### keyList The following describes `keyList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `keyId` | String | - | Key identifier | | `keyTag` | String | - | Key tag | | `keyName` | String | - | Key name | | `keyStatus` | String | - | Key status - `ENABLE` \| `DISABLE` - `ENABLE`: Available - `DISABLE`: Disabled | | `keyType` | String | - | Key type - `AES256` \| `RSA2048` - `AES256`: 256-bit key with symmetric-key AES cipher (AES 256-GCM96) - `RSA2048`: 2048-bit key using asymmetric-key RSA cipher (RSA 2048) | | `kmsBoundaryType` | String | - | KMS Region isolation type - `GLOBAL` \| `ISOLATED` - `GLOBAL`: Global - `ISOLATED`: Isolation | ### Response status codes For information about the HTTP status codes common to all Secret Manager APIs, see [Secret Manager response status codes](/docs/en/secretmanager-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "data": { "keyList": [ { "keyId": 0, "keyTag": "", "keyName": "Secret Manager Default Key", "keyStatus": "", "keyType": "", "kmsBoundaryType": "GLOBAL" }, { "keyId": 12345, "keyTag": "*****a8e99ef1ba49b9c190a0cb4f6fb20cff86dd3a3017fd6ee05aea8b*****", "keyName": "test-***", "keyStatus": "ENABLE", "keyType": "AES256", "kmsBoundaryType": "GLOBAL" } ] } } ```